package services.impl;

import model.Pizza;
import services.io.PizzaIOHandler;

import java.util.List;

public class PizzaService {
    private PizzaIOHandler pizzaIOHandler;
    private List<Pizza> pizzas;

    public void saveNewPizza(Pizza p) {
        pizzas.add(p);
        pizzaIOHandler.savePizzas(pizzas);
    }

    public void loadPizzas() {
        //Filechooser und
        pizzas = pizzaIOHandler.loadPizzas("filename");
    }

    public List<Pizza> getAllPizzas() {
        return pizzas;
    }
}
