package services.interfaces;

import model.Pizza;

import java.util.List;

public interface IPizzaService {

    /**
     * Save the pizza p
     *
     * @param p
     */
    public void saveNewPizza(Pizza p);

    /**
     * @return all Pizzas that have been created
     */
    public List<Pizza> getAllPizzas();

    /**
     * @param name
     * @return Pizza with the name name.
     */
    public Pizza getPizzaByNAme(String name);
}
